com.holonplatform.vaadin7.components.builders

## Interface OrderedLayoutConfigurator<B extends OrderedLayoutConfigurator<B>>

- Type Parameters:
    `B` - Concrete configurator type
  All Superinterfaces:
    ClickableLayoutConfigurator<B>, ComponentConfigurator<B>, ComponentContainerConfigurator<B>, LayoutConfigurator<B>
  All Known Subinterfaces:
    HorizontalLayoutBuilder, OrderedLayoutBuilder<C,B>, OrderedLayoutConfigurator.BaseOrderedLayoutConfigurator, VerticalLayoutBuilder

      public interface OrderedLayoutConfigurator<B extends OrderedLayoutConfigurator<B>>
      extends LayoutConfigurator<B>

  Interface to configure an ordered `Layout`.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `OrderedLayoutConfigurator.BaseOrderedLayoutConfigurator` Base ordered layout configurator

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.LayoutConfigurator

      `LayoutConfigurator.BaseLayoutConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ClickableLayoutConfigurator

      `ClickableLayoutConfigurator.BaseClickableLayoutConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `addAlignAndExpand(com.vaadin.ui.Component component, com.vaadin.ui.Alignment alignment, float expandRatio)` Adds the given component to layout with given `expandRatio` and `alignment`
    `B` | `addAndExpand(com.vaadin.ui.Component component, float expandRatio)` Adds the given component to layout with given `expandRatio`
    `default B` | `addAndExpandFull(com.vaadin.ui.Component component)` Adds the given component to layout with applying full (`1`) expand ratio.
    `B` | `expand(com.vaadin.ui.Component component, float expandRatio)` This method is used to control how excess space in layout is distributed among components.

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.LayoutConfigurator

      `addAndAlign, align, defaultAlignment, margin, marginBottom, marginLeft, marginRight, marginTop, spacing`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ClickableLayoutConfigurator

      `withLayoutClickListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentContainerConfigurator

      `add, withComponentAttachListener, withComponentDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### expand

          B expand(com.vaadin.ui.Component component,
                   float expandRatio)

      This method is used to control how excess space in layout is distributed among components. Excess space may exist if layout is sized and contained non relatively sized components don't consume all available space.
      Parameters:
        `component` - the component in this layout which expand ratio is to be set
        `expandRatio` - Expand ratio (greater or equal to 0)
      Returns:
        this

    - #### addAndExpand

          B addAndExpand(com.vaadin.ui.Component component,
                         float expandRatio)

      Adds the given component to layout with given `expandRatio`
      Parameters:
        `component` - The component to add
        `expandRatio` - The expand ration to use with for added component
      Returns:
        this

    - #### addAndExpandFull

          default B addAndExpandFull(com.vaadin.ui.Component component)

      Adds the given component to layout with applying full (`1`) expand ratio.
      Parameters:
        `component` - The component to add
      Returns:
        this

    - #### addAlignAndExpand

          B addAlignAndExpand(com.vaadin.ui.Component component,
                              com.vaadin.ui.Alignment alignment,
                              float expandRatio)

      Adds the given component to layout with given `expandRatio` and `alignment`
      Parameters:
        `component` - The component to add
        `alignment` - the Alignment to use for the component
        `expandRatio` - The expand ration to use with for added component
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.